Bug 83852

Summary: Implement <input type=date> UI
Product: WebKit Reporter: Kent Tamura <tkent>
Component: FormsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bronislav.klucka, jonlee, mjs
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 53961, 83761, 83853, 83859, 83863, 83872, 84192, 84677, 84683    
Bug Blocks: 29359    

Description Kent Tamura 2012-04-12 19:04:23 PDT
Implement <input type=date> UI
Comment 1 Bronislav Klucka 2012-04-19 09:11:46 PDT
Hi,
may I ask about the format displayed in date field? I'm currently getting short year (two last digits), but my system settings are long year.
19.4.12 -> 19.4.2012
The order of date parts is correct, separator is correct (d.m.y) but this is wrong.
We do not generally use short year in Czech Republic... seems confusing...
Comment 2 Kent Tamura 2012-04-19 13:56:43 PDT
(In reply to comment #1)
rmat displayed in date field? I'm currently getting short year (two last digits), but my system settings are long year.
> 19.4.12 -> 19.4.2012
> The order of date parts is correct, separator is correct (d.m.y) but this is wrong.
> We do not generally use short year in Czech Republic... seems confusing...

Would you file a new bug with your OS and browser information please?
Comment 3 Bronislav Klucka 2012-04-19 15:04:21 PDT
(In reply to comment #2)
> (In reply to comment #1)
> rmat displayed in date field? I'm currently getting short year (two last digits), but my system settings are long year.
> > 19.4.12 -> 19.4.2012
> > The order of date parts is correct, separator is correct (d.m.y) but this is wrong.
> > We do not generally use short year in Czech Republic... seems confusing...
> 
> Would you file a new bug with your OS and browser information please?

Hi,
well I was not sure whether it is bug, or it's not bug (work in progress or some other setings are considered)...

https://bugs.webkit.org/show_bug.cgi?id=84388
Comment 4 Kent Tamura 2012-06-28 18:18:45 PDT
I'm closing this bug because major parts were done.  The remaining issues are
 - accessibility of calendar picker: Bug 84192
 - automated testing of calendar picker: Bug 84827